"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styleContainer = require("@cloudflare/style-container");

var _reactsvgs = _interopRequireDefault(require("./reactsvgs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var iconStyles = function iconStyles(_ref) {
  var _ref$size = _ref.size,
      size = _ref$size === void 0 ? 16 : _ref$size,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'currentColor' : _ref$color;
  return {
    width: size,
    height: size,
    fill: 'currentColor',
    color: color
  };
};

var Icon = function Icon(_ref2) {
  var type = _ref2.type,
      className = _ref2.className,
      ariaLabel = _ref2.ariaLabel,
      testId = _ref2.testId,
      label = _ref2.label;
  var Svg = _reactsvgs.default[type];
  return /*#__PURE__*/_react.default.createElement(Svg, {
    className: className,
    "aria-label": ariaLabel,
    role: ariaLabel ? 'img' : 'presentation',
    "data-testid": testId
  });
};

Icon.displayName = 'Icon';

var _default = (0, _styleContainer.createStyledComponent)(iconStyles, Icon);

exports.default = _default;